import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaTargetServiceType } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaTargetServiceTypeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByKey(key: string): Observable<MetaTargetServiceType> {
    return this.rpcService.call<MetaTargetServiceType>('MetaTargetServiceTypeService.readByKey', key);
  }

  public readAll(): Observable<MetaTargetServiceType[]> {
    return this.rpcService.call<MetaTargetServiceType[]>('MetaTargetServiceTypeService.readAll');
  }
}
